# Welcome to the pgOperations Python module documentation

This site contains the project documentation for the Python
`PgOperations` module. It is a simple lightweight Python module to perform the most 
common operations in `PostgreSQL` and `PostgGIS`, avoiding most of the SQL syntax.

This module class methods allow insert, delete, update, select, create 
and delete tables and databases. Also, you will be able to know is a table exists, get the field names 
of a table, and manage counters for your applications. 

The class methods use Python dictionaries to insert and update data. **This library supposes all python dictionary keys match with the table field names**.

This module requires Python 3 and [Psycopg2](https://pypi.org/project/psycopg2/).

## Table Of Contents

Read the documentation to know how to use `pgOperations`. In the tutorial you will find
out how to install and use the class methods. The reference contains the classes and methods
description:

1. [Tutorials](tutorials.md)
<!--2. [How-To Guides](how-to-guides.md)-->
1. [Reference](reference.md)
2. [Explanation](explanation.md)


